## rivet 1.8.3

=== debian/changelog ===
rivet (1.8.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/yaml-cpp-v5-support.patch: New patch, porting rivet to
    version 5 of the YAML API, backported from upstream revisions 3434, 3442,
    3459-3463 and 3484-3486 (Closes: #724223).

 -- Michael Banck <mbanck@debian.org>  Sat, 23 Nov 2013 12:05:19 +0100

rivet (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 07 May 2013 09:24:27 +0800

rivet (1.8.2-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 05 Mar 2013 23:02:23 +0800

rivet (1.8.1-1~exp1) experimental; urgency=low

  * New upstream release.
  * debian/rules: change to tiny-style.

 -- Lifeng Sun <lifongsun@gmail.com>  Tue, 10 Jul 2012 19:40:19 +0800

rivet (1.8.0-2) UNRELEASED; urgency=low

  * New patch path-max.patch: fix FTBFS on hurd-i386.
  * debian/control: move texlive-science and doxygen-latex to
    Build-Deps-Indeps.
  * debian/copyright: fix licence version.

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 25 Jun 2012 21:37:24 +0800
