=== debian/control ===
Source: rivet
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, libhepmc-dev, libfastjet-dev, libfastjetplugins-dev, libfastjettools-dev, libyaml-cpp-dev, dh-autoreconf, libgsl0-dev, libtinyxml-dev, chrpath, libboost-dev, python-dev, python-support, swig, gfortran
Build-Depends-Indep: texlive-science, doxygen-latex
Standards-Version: 3.9.3
Homepage: http://rivet.hepforge.org/
Vcs-Git: git://git.debian.org/git/debian-science/packages/rivet.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/rivet.git

Package: rivet
Architecture: all
Depends: python, python-rivet (>= ${source:Version}), ${misc:Depends}
Recommends: rivet-plugins
Suggests: rivet-user-manual
Description: Robust Independent Validation of Experiment and Theory
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides program files of Rivet.

Package: rivet-user-manual
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: rivet
Description: Rivet User Manual
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides user manual of Rivet.

Package: rivet-reference
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: rivet
Description: Rivet code reference
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides code reference of Rivet.

Package: rivet-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: rivet-plugins-data (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: rivet-plugins-doc
Description: Analysis plugins of Rivet
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides analysis plugins of Rivet. Note that ATLASCone and
 CDFCones are not supported in Debian due to license issues of FastJet.

Package: rivet-plugins-dev
Architecture: all
Depends: python, librivet-dev (>= ${source:Version}), rivet-plugins (>= ${source:Version}), ${misc:Depends}
Suggests: rivet-plugins-doc
Description: Template generator of Rivet analysis plugin
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides template generator of Rivet analysis plugin.

Package: rivet-plugins-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: HTML documentation for Rivet analysis plugins
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides HTML documentation for analysis plugins of Rivet.

Package: rivet-plugins-data
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Data files of Rivet analysis plugins
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides data files of Rivet analysis plugins.

Package: librivet11
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Run-time library of Rivet
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides run-time library of Rivet.

Package: librivet-dev
Section: libdevel
Architecture: any
Depends: libboost-dev, librivet11 (= ${binary:Version}), ${misc:Depends}
Suggests: rivet-reference
Description: Development files of Rivet
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides development files of Rivet.

Package: rivet-root-converter
Architecture: all
Depends: python, libroot-bindings-python5.34, ${misc:Depends}
Description: Rivet and ROOT file format converter
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides format converter between Rivet and ROOT files.

Package: python-rivet
Section: python
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: python-support (>= 0.90), ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings of Rivet
 Rivet is a toolkit for validation of Monte Carlo event generators. Using 
 a computationally efficient model for observable computations, Rivet
 provides a set of experimental analyses useful for generator sanity checks,
 as well as a convenient infrastructure for adding your own analysis.
 .
 This package provides Python bindings of Rivet.
