=== debian/watch ===
version=3

http://www.hepforge.org/archive/rivet/ Rivet-(.*)\.tar\.gz debian ./debian/get-orig-source
